body {
	margin:0;
	padding:0;
	font-family: "Rubik", sans-serif;
	font-style: normal;
    background: #ffffff;
    color: #1c1c1c;
}



#header {
    background: #f3f3f3;
    display: flex;
    position: absolute;
    width: 100%;
    height: 10%;
    flex-direction: row;
    align-items: center;
    align-content: center;
    justify-content: space-between;
	color:#646464;
}

#header * {
	margin:5px;
}

button {
	color:#646464;
}

.flex-r {
    display: flex;
    height: 10%;
    flex-direction: row;
    align-items: center;
    align-content: center;
    justify-content: center;
}

svg {
	cursor:pointer;
}

.button{
    border: none;
    outline: none;
    background: #0071e3;
    padding: 10px;
    border-radius: 11.1px;
    cursor: pointer;
    color: #f4f4f4;
}

#main {
    position: absolute;
    width: 100%;
    height: 90%;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

#main * {
	margin:10px;
}





#main .msg-style-1 {
    font-size: 0.95em;
    line-height: 1.6;
    display: block;
    position: relative;
    font-family: "Rubik", sans-serif;
    font-weight: 400;
    font-style: normal;
    margin: 0;
    padding: 0;
}

#header .profile {
	border-radius:50%;
	cursor:pointer;
}


#header .btn-trans {
    border: none;
    padding: 0;
    margin: 0;
    outline: none;
    background: transparent;
}


#header .sidenav {
	width:0;
    /* backdrop-filter: blur(2px); */
    margin: 0;
    height: 100%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background: #ededed;
    overflow-x: hidden;
    transition: 0.5s;
    padding: 0;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}

#header .sidenav .item {
    margin: 0px 15px;
    text-decoration: none;
    transition: 0.3s;
    display: flex;
    border-radius: 10px;
    cursor: pointer;
    color: #646464;
    font-size: 14.4px;
}

#header .sidenav .item span {
    text-align: center;
    display: flex;
    align-content: center;
    align-items: center;
    margin: 5px 3.2px;
}

#header .sidenav .item:hover {
    color: #0071e3;
}

#header .sidenav .grp {
    border-bottom: 1px solid #e3e3e3;
    padding: 10px 0px;
}

#header .sidenav .closebtn {
    text-decoration: none;
    display: block;
    transition: 0.3s;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    align-content: center;
}

@media screen and (max-height: 450px) {
	.sidenav {padding-top: 15px;}
	.sidenav .item {font-size: 18px;}
}

#blogs-header * {
	margin: 0;
}
#blogs-header {
	display: flex;
    justify-content: space-between;
}
#blogs-header button {
    cursor: pointer;
    display: flex;
    align-content: center;
    align-items: center;
    background: #f3f3f3;
    outline: none;
    border: none;
    padding: 8px;
    color: #484848;
}

#blogs-header span {
    margin-left: 5px;
}

#blogs .blog-card {
    border-bottom: 1px solid #ededed;
	margin: 5px;
}

#blogs .blog-card * {
	margin: 8px 0px;
	font-family: "Rubik", sans-serif;
	font-style: normal;
}

#blogs .blog-card header {
    display: flex;
    justify-content: space-between;
}

#blogs .blog-card header button {
    cursor: pointer;
    display: flex;
    align-content: center;
    align-items: center;
    background: #f3f3f3;
    outline: none;
    border: none;
    padding: 8px;
    color: #484848;
}
	
#blogs .blog-card .g {
    display: flex;
    align-content: center;
    align-items: center;
    margin: 0;
}

#blogs .blog-card .name {
    font-size: 13px;
    margin: 0 5px;
    font-weight: bold;
	color: #4e4e4e;
}

#blogs .blog-card .time {
    font-size: 13px;
	color:#aaa;
}


#blogs .blog-card .title {
    font-size: 1.1em;
	text-decoration: underline;
}

#blogs .blog-card footer {
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: space-between;
}

#blogs .blog-card footer button * {
	margin: 5px 2.5px;
}
#blogs .blog-card footer button {
	color:#646464;
	/* display: flex; */
    /* align-content: center; */
    /* align-items: center; */
    /* outline: none; */
    /* border: none; */
    /* border-radius: 10px; */
	/* background:#efefef; */
	/* margin-right:8px; */
	display: flex;
    align-content: center;
    align-items: center;
    outline: none;
    border: none;
	background:transparent;
	margin-right:8px;
	padding-left: 0;
}

#blogs .blog-card footer .small {
	color: #aaa;
	font-size:12px;
}

#blogs .blog-card .icon {
	padding: 0;
    margin: 0;
    display: flex;
    align-content: center;
}

#characters-header * {
	margin: 0;
}
#characters-header {
	display: flex;
    justify-content: space-between;
}
#characters-header button {
    cursor: pointer;
    display: flex;
    align-content: center;
    align-items: center;
    background: #f3f3f3;
    outline: none;
    border: none;
    padding: 8px;
    color: #484848;
}

#characters-header span {
    margin-left: 5px;
}

#characters-main  {
    margin: 10px;;
}

#characters * {
    margin: 0;
}

#characters .item span {
    text-decoration: underline;
}

#characters .item {
    display: flex;
    justify-content: space-between;
	margin: 5px;
}


.loved {
	color: #ff4e4e;
}

#about {
	white-space: pre-line;
}

#apps, #projects, #softwares {
    display: flex;
    justify-content: center;
    padding-top: 50px;
    color: #aaa;
    font-weight: 500;
    font-family: "Rubik", sans-serif;
}

#e404 {
	height: 100%;
    width: 100%;
    position: absolute;
}

#e404 div .e {
	margin:10px;
}

#e404 div {
    /* font-weight: lighter; */
    font-family: "Rubik", sans-serif;
    user-select: none;
    display: flex;
    position: absolute;
    padding: 20px;
    /* border-radius: 10px; */
    right: 50%;
    background: #f1f1f10d;
    transform: translate(50%, -50%);
    top: 50%;
    color: #ababab;
    white-space: pre-line;
    flex-direction: column;
    align-items: center;
    align-content: center;
}

#go-home {
	padding:10px;
	/* border-radius:10px; */
	color:black;
	font-size:12px;
	background:#0071e3;
	color:#ededed;
}

#blogview {
	font-family: "Rubik", sans-serif;
}

#blogview * {
	margin: 10px 0px;
}

#blogview-header {
    display: flex;
    align-content: center;
    font-size: 13.33px;
    font-weight: bold;
    align-items: center;
}


#blogview-header .time {
    /* margin-left: 5px; */
    font-weight: lighter;
    color: #aaa;
    font-size: 15px;
}

#blogview-main {
	font-family: "Noto Serif", serif;
}

#blogview-main .title {
	font-size: 18px;
    font-weight: bold;
	/* text-decoration:underline; */
	margin-bottom:20px;
	color: #4e4e4e;
}

#blogview-main .content {
	white-space: pre-wrap;
}

#blogview-main .content img {
    width: 100%;
    height: auto;
}

/* #blogview-main .content a { */
    /* color: #0071e3; */
    /* text-decoration: none; */
/* } */

a {
    color: #0071e3;
    text-decoration: none;
}

#blogview-main .content * {
	margin:0;
}

#blogview-main .foot * {
	margin:0;
}

#blogview-main .foot .item img {
    border-radius: 50px;
	margin-right:2.5px;
}

#blogview-main .foot .item {
    display: flex;
    align-items: center;
    align-content: center;
    margin: 5px 0;
}

#blogview-main .foot {
    border-top: 1px solid #ededed;
    margin-top: 40px;
    padding-top: 15px;
}

#blogview-main .foot .container {
    display: flex;
    flex-direction: column;
}

#blogview-main .content pre {
    padding: 10px;
    white-space: pre-wrap;
    background: #111112;
    overflow: auto;
    color: #ffffffaa;
}

#blogview-footer {
	border-top: 1px solid #ededed;
    margin-top: 20px;
}


#blogview-footer header {
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: space-between;
	margin-bottom: 0;
}

#blogview-footer .g {
    display: flex;
    align-content: center;
    align-items: center;
}

#blogview-footerr button * {
	margin: 5px 2.5px;
}
#blogview-footer  button, #blogview-footer select {
	display: flex;
    align-content: center;
    align-items: center;
    outline: none;
    border: none;
	background:#ffffff08;
	margin-right:8px;
	cursor:pointer;
	color:#ededed;
}

#blogview-footer header button {
    background: transparent;
    margin-right: 12px;
    color: #4e4e4e;
}

#blogview-footer main button {
    margin-top: 0;
    background: #0071e3;
}

#blogview-footer select {
	padding:10px;
}

#blogview-footer  .icon {
	padding: 0;
    margin: 0;
    display: flex;
    align-content: center;
}

#blogview-footer  button span {
	margin-left: 5px;
}

#blogview-footer  .loved {
	color: #ff4e4e;
}

#blogview-footer  main {
	display: flex;
    flex-direction: column;
    justify-content: space-evenly;
	margin: 0;
}
#blogview-footer  textarea {
    font-family: "Rubik", sans-serif;
    resize: none;
    height: 80px;
    outline: none;
    border: none;
    background: #f3f3f3;
    color: #262626;
    border-radius: 10px;
    padding: 10px;
}

#blogview-footer  .comment {
    font-family: "Rubik", sans-serif;
    border-radius: 10px;
    padding: 10px;
    padding-bottom: 0;
    margin-bottom: 0;
	transition: 0.2s;
}


#blogview-footer  .comment .header {
    display: flex;
    align-content: center;
    align-items: center;
    margin-top: 0;
    justify-content: space-between;
}

#blogview-footer  .comment span {
    word-break: break-all;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: pre-wrap;
}

#blogview-footer  .comment .header * {
    margin:0;
}

#blogview-footer  .comment .header .dp {
    border-radius: 50%;
}

#blogview-footer  .comment .header .name {
    font-size: 13px;
    font-weight: bold;
	margin: 0 5px;
}

#blogview-footer  .comment .header .time {
    font-size: 13px;
    color: #aaa;
    margin-left: 5px;
}

#blogview-footer  .comment .body {
    font-size: 14px;
	/* font-weight: lighter; */
    border-left: 1px solid #ededed;
    padding: 10px;
    padding-top: 0;
    /* border-radius: 0px 10px; */
    margin-left: 9px;
}

#blogview-footer .comment .body button {
    background: transparent;
	margin-bottom:0;
	margin-left:0;
	padding:0;
	padding-right:5px;
	color:#646464;
}

#blogview-footer .comment .body .g {
	margin:0;
}


#blogview-footer .comment .dropdown {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    align-items: flex-end;
    margin: 0;
}

#blogview-footer .comment .dropdown * {
	margin:0;
}

#blogview-footer .comment .dropdown span {
	margin: 5px;
}

#blogview-footer .comment .dropdown button {
	background: transparent;
}

#blogview-footer .comment .dropdown div {
    display: flex;
    flex-direction: column;
    margin: 0;
    background: #efefef;
    border-radius: 10px;
    padding: 10px 5px;
}

#blogview-footer .reply {
    margin: 0;
    padding: 0;
    margin-left: 20px;
    transform: translateY(-20px);
}

#blogview-footer .comment .body .content {
    white-space: pre-wrap;
	word-wrap: break-word;
}

#characterview-main * {
	margin:0;
}


#login-page {
	height: 100%;
    width: 100%;
    position: absolute;
}


#login-page span, h4, button {
	margin:10px;
}


#login-page button {
    display: flex;
    align-items: center;
    align-content: center;
    padding: 10px;
    /* background: #0071e3; */
    background: #0071e3;
    outline: none;
    border: none;
    font-weight: bold;
    border-radius: 20px;
    color: #f4f4f4;
    cursor: pointer;
    transition: 0.2s;
}

#login-page button span {
	white-space: nowrap;
	margin:0;
}

#login-page button:hover {
	background:transparent;
	border:1px solid #0071e3;
	color: #0071e3;
}

#login-page button .icon {
    margin-right: 8px;
}

#login-page main {
    font-weight: lighter;
    font-family: "Rubik", sans-serif;
    user-select: none;
    display: flex;
    position: absolute;
    right: 50%;
    transform: translate(50%, -50%);
    top: 50%;
    color: #ababab;
    white-space: pre-line;
    flex-direction: column;
    align-items: center;
    align-content: center;
	width:100%;
}


.bluetick {
	color: #4fb1ff;
}


#home .blog-card {
    margin: 10PX;
    display: flex;
    justify-content: space-between;
}

#home .blog-card .title {
    text-decoration: underline;
    color: #577ee7;
}


#home .message {
	margin: 20px;
}

#home .message div {
	margin-top: 10px;
}


#home {
	margin:0;
}


#home * {
	margin:0;
}

#home .logo {
    margin: 30px 0;
    display: flex;
    align-content: center;
    align-items: flex-start;
}



#home .logo img {
    border-radius: 10px;
    box-shadow: 1px 1px 16px 0px rgba(0, 0, 0, 0.2);
}

#dl-pdf {
    border: none;
    background: #0071e3;
    color: #fff;
    padding: 10px;
    border-radius: 10px;
	cursor: pointer;
}


#home .logo p {
    color: #424242;
    margin-left: 15px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-content: center;
}

#tags {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

#tags .tag {
    background: #f3f3f3;
    padding: 5px;
    border-radius: 5px;
	font-size: 13px;
}

#home .logo p * {
	margin:2.5px;
}

#home .logo .title {
    font-size: 28px;
    font-weight: 500;
}

#home .logo .writer {
    font-size: 22px;
    font-weight: 320;
}

#home .logo small {
    font-size: 15px;
    font-weight: 300;
}

#home .stitle{
	margin-top:23px;
}

#home .main-box{
	/* background: #0f0; */
}

#home .sub-box{
	/* background: #00f; */
	margin:0 20px;
}

#home .sub-box .footer {
    display: flex;
    align-items: center;
    justify-content: center;
	margin:12px;
}

#home .sub-box .footer button{
    background: transparent;
    outline: 0;
    border: none;
	margin:10px;
	color:#b5b5b5;
}

#newblog * {
	margin:0;
}

#newblog .preview {
	margin-bottom: 20px;
}

#newblog .elm{
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    flex-direction: column;
    width: 100%;
    justify-content: center;
}

#newblog .elm span{
    margin: 10px 0;
    font-size: 13px;
}

#newblog .elm .f{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


#newblog input, select, textarea {
    outline: none;
    border: none;
    padding: 8px;
    resize: none;
    background: #f5f5f5;
    color: #646464;
}



#newCharacter * {
	margin:0;
}

#newCharacter .preview {
	margin-bottom: 20px;
}

#newCharacter .elm{
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    flex-direction: column;
    width: 100%;
    justify-content: center;
}

#newCharacter .elm span{
    margin: 10px 0;
    font-size: 13px;
}

#newCharacter .elm .f{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}


#newCharacter input, select, textarea {
    outline: none;
    border: none;
    padding: 8px;
    resize: none;
    background: #f5f5f5;
    color: #646464;
}

@media screen and (orientation: landscape) {
	div::-webkit-scrollbar, main::-webkit-scrollbar {
		width: 10px;
	}
	div::-webkit-scrollbar-track, main::-webkit-scrollbar-track {
		background: #f3f3f3;
	}
	div::-webkit-scrollbar-thumb, main::-webkit-scrollbar-thumb {
		background: #dbdbdb;
		cursor:pointer;
	}
	div::-webkit-scrollbar-thumb:hover, main::-webkit-scrollbar-thumb:hover {
		background: #c2c2c2;
	}
}


#header .dropdown * {
	margin:0;
}

#header .dropdown {
	position: relative;
	display: block;
	margin:0;
}
#header .dropdown button {
	background: transparent;
    outline: none;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
	color:#646464;
}
#header .dropdown .content {
    right: 0;
    position: absolute;
    min-width: 120px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
	background:#ffffff;
}
#header .dropdown .content .option {
	margin:12px;
	background-color: transparent;
	font-size: 13.1px;
	text-decoration: none;
	display: block;
	display: flex;
	align-items: center;
	justify-content: space-between;
	cursor:pointer;
	transition:0.2s;
}
#header .dropdown .content button {
    margin: 5px;
}
#header .dropdown .content button:hover {
	background-color: #00000010;
}

#foot {
	font-weight: 300;
    font-size: 0.875rem;
}

#foot * {
	margin:0;
}

#foot p {
	margin:10px;
}

#foot p a {
	margin:0;
}

.highlight {
	background: rgba(255, 255, 0, 0.4);
	border-radius: 5px;
}


.btnn {
    background: #e7e7e7;
    border: none;
    outline: none;
    color: #000000;
    border-radius: 5px;
    padding: 5px;
}

.mark-pos {
	color: #0071e3;
	cursor: pointer;
}